Bug 134431 - Don't work ping scan.
Don't work ping scan.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: nmap (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-02 09:34 EDT by Kirill Yushkov
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 16:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My ifconfig output. (96.83 KB, text/plain)
2004-10-04 05:26 EDT, Kirill Yushkov
no flags Details
My route output. (18.11 KB, text/plain)
2004-10-04 05:27 EDT, Kirill Yushkov
no flags Details
Strace output. (29.33 KB, text/plain)
2004-10-14 09:54 EDT, Kirill Yushkov
no flags Details

  None (edit)
Description Kirill Yushkov 2004-10-02 09:34:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8a5)
Gecko/20040929

Description of problem:
Don't work ping scan.

Version-Release number of selected component (if applicable):
nmap-3.50-3

How reproducible:
Always

Steps to Reproduce:
1.nmap -sP <any_ip_or_network>
2.
3.
    

Actual Results:  Nothing

Additional info:

[root@park2 kirya]# nmap -sP 172.16.16.1

Starting nmap 3.50 ( http://www.insecure.org/nmap/ ) at 2004-10-02
17:33 MSD
Failed to find interface ppp173 mentioned in /proc/net/route

QUITTING!
[root@park2 kirya]# nmap -sP 172.16.4.142

Starting nmap 3.50 ( http://www.insecure.org/nmap/ ) at 2004-10-02
17:34 MSD
Failed to find interface ppp173 mentioned in /proc/net/route

QUITTING!
[root@park2 kirya]#
Comment 1 Kirill Yushkov 2004-10-02 09:35:20 EDT
In time, nmap failed to fund any interfaces...
Comment 2 Harald Hoyer 2004-10-04 04:30:21 EDT
please provide the output of:
# /sbin/ifconfig
# route -n
Comment 3 Kirill Yushkov 2004-10-04 05:26:56 EDT
Created attachment 104710 [details]
My ifconfig output.

My ifconfig output.
Comment 4 Kirill Yushkov 2004-10-04 05:27:46 EDT
Created attachment 104711 [details]
My route output.

route -n output
Comment 5 Harald Hoyer 2004-10-04 06:45:53 EDT
and a normal ping does work?
# ping 172.16.16.1
Comment 6 Kirill Yushkov 2004-10-04 06:50:08 EDT
Yes.
[root@park2 log]# ping 172.16.16.1
PING 172.16.16.1 (172.16.16.1) 56(84) bytes of data.
64 bytes from 172.16.16.1: icmp_seq=0 ttl=63 time=0.784 ms
64 bytes from 172.16.16.1: icmp_seq=1 ttl=63 time=0.327 ms
64 bytes from 172.16.16.1: icmp_seq=2 ttl=63 time=0.367 ms

--- 172.16.16.1 ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2000ms
rtt min/avg/max/mdev = 0.327/0.492/0.784/0.208 ms, pipe 2
[root@park2 log]# ping www.yahoo.com
PING www.yahoo.akadns.net (216.109.117.106) 56(84) bytes of data.

64 bytes from p21.www.dcn.yahoo.com (216.109.117.106): icmp_seq=0
ttl=55 time=152 ms
64 bytes from p21.www.dcn.yahoo.com (216.109.117.106): icmp_seq=1
ttl=55 time=156 ms
64 bytes from p21.www.dcn.yahoo.com (216.109.117.106): icmp_seq=2
ttl=55 time=151 ms
64 bytes from p21.www.dcn.yahoo.com (216.109.117.106): icmp_seq=3
ttl=56 time=156 ms

--- www.yahoo.akadns.net ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 3002ms
rtt min/avg/max/mdev = 151.704/154.392/156.720/2.187 ms, pipe 2
[root@park2 log]#
Comment 8 Kirill Yushkov 2004-10-13 10:57:46 EDT
No.
Error and output similar with previos version.
Comment 9 Harald Hoyer 2004-10-13 11:56:11 EDT
please attach the output of:
$ strace -f nmap -sP 172.16.4.142
Comment 10 Kirill Yushkov 2004-10-14 09:54:59 EDT
Created attachment 105199 [details]
Strace output.

Consple output:
[root@park2 kirya]# strace -o 1.txt -f nmap -sP 172.16.4.142

Starting nmap 3.70 ( http://www.insecure.org/nmap/ ) at 2004-10-14 17:58 MSD
Failed to find interface ppp150 mentioned in /proc/net/route

QUITTING!
[root@park2 kirya]#
Comment 11 Matthew Miller 2005-04-26 11:21:52 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 12 John Thacker 2006-04-21 13:12:39 EDT
Does the problem still occur in a latter version of nmap, like nmap-4.00-1.2 ?
Comment 13 John Thacker 2006-04-24 16:21:53 EDT
Closing due to lack of response by reporter and Legacy status of FC2.

Note You need to log in before you can comment on or make changes to this bug.